@keyframes mover {
  0% {
    transform: translateY(0); }
  100% {
    transform: translateY(-10px); } }

.battlepass {
  background: url("../static/images/background.jpg") top center no-repeat #4d321d;
  width: 100%;
  font-family: 'DS-MaiThai';
  position: relative;
  overflow: visible; }
  .battlepass p {
    margin: 0; }
  .battlepass__content-blog {
    position: relative;
    width: 76%;
    margin: 0 auto; }
  .battlepass__owl {
    position: absolute;
    right: 0;
    top: -13.5em; }
  .battlepass__table {
    width: 100%;
    background: #121010;
    color: #fff;
    margin: 0 auto;
    border: 1px solid #484a4a; }
    .battlepass__table thead tr {
      text-align: center; }
      .battlepass__table thead tr td {
        color: #fcc594;
        font-size: 1.6em;
        padding: .5em .5em;
        border-right: 1px solid #484a4a;
        border-bottom: 1px solid #484a4a; }
        .battlepass__table thead tr td:last-child {
          border-right: 0px; }
    .battlepass__table tbody tr {
      text-align: center;
      height: 140px; }
      .battlepass__table tbody tr td {
        position: relative;
        padding: 1em .5em;
        border-right: 1px solid #484a4a;
        border-bottom: 1px solid #484a4a; }
        .battlepass__table tbody tr td:nth-child(2) {
          width: 25%; }
        .battlepass__table tbody tr td.nopadding {
          padding: 1em 0; }
        .battlepass__table tbody tr td:last-child {
          border-right: 0px; }
      .battlepass__table tbody tr.violet {
        background: #2e0e2d; }
        .battlepass__table tbody tr.violet td:last-child {
          border-right: 1px solid #484a4a; }
      .battlepass__table tbody tr.border td:last-child {
        border-right: 1px solid #484a4a; }
  .battlepass__home {
    position: fixed;
    right: 1em;
    top: 50%;
    z-index: 999; }
  .battlepass__icons {
    display: inline-block;
    position: absolute;
    left: -1.8em;
    top: -.2em;
    vertical-align: middle; }
  .battlepass__quest-title {
    color: #f8c79c;
    font-size: 1.8em;
    margin-bottom: 1em; }
    .battlepass__quest-title p {
      margin: 0; }
  .battlepass__quest-mission {
    font-size: .6em;
    color: #fff; }
  .battlepass__list {
    padding: 0;
    margin: 0; }
    .battlepass__list li {
      display: block; }
  .battlepass__quest-inner {
    padding: 0;
    margin: 0;
    list-style: none; }
    .battlepass__quest-inner li.sub-quest {
      font-size: .7em; }
    .battlepass__quest-inner li span {
      color: #fff;
      font-size: .6em; }
  .battlepass__img td {
    padding: 0 !important;
    margin: 0px 0 0;
    text-align: left; }
  .battlepass__title {
    margin: 20px auto;
    display: block;
    text-align: center; }
  .battlepass__bordertitle {
    background: url(./../static/images/border_title.png) top center no-repeat;
    width: 947px;
    height: 92px;
    margin: 0 auto; }
  .battlepass__bordercontent {
    background: url(./../static/images/border_content.png) top center repeat-y;
    margin: 0 auto; }
  .battlepass__borderfooter {
    background: url(./../static/images/border_footer.png) top center no-repeat;
    width: 946px;
    height: 80px;
    margin: 0 auto; }
  .battlepass__container {
    width: 920px;
    margin: 0 auto;
    position: relative;
    background: linear-gradient(to bottom, #222222 0%, #251c15 100%);
    padding-bottom: 10.5em; }
  .battlepass__border {
    position: absolute;
    top: -30px;
    left: -15px;
    z-index: 10;
    pointer-events: none; }
  .battlepass__fashion {
    text-align: center;
    padding-bottom: 2em;
    margin: 3em auto 0; }
  .battlepass__lock {
    background: rgba(0, 0, 0, 0.85);
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    flex-direction: column;
    z-index: 9;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    cursor: pointer; }

.battlepass-menu {
  position: fixed;
  width: 60px;
  height: 672px;
  left: 1em;
  top: .7em;
  z-index: 89;
  background: url("../static/images/bg_menu.png") top center no-repeat; }
  .battlepass-menu--show {
    display: block; }
  .battlepass-menu__list {
    padding: 2.5em 0;
    margin: 0;
    list-style: none;
    height: 550px;
    overflow: hidden; }
    .battlepass-menu__list li {
      height: 30px;
      color: #fff;
      text-align: center;
      transition: all .5s ease-in-out; }
      .battlepass-menu__list li:target {
        line-height: 1.5; }
      .battlepass-menu__list li a {
        cursor: pointer;
        text-decoration: none;
        color: #fff; }
        .battlepass-menu__list li a:hover, .battlepass-menu__list li a:focus {
          color: #fcd770; }
      .battlepass-menu__list li.active a {
        color: #fcd770; }

.text--small {
  font-size: .6em; }

.btns__reward {
  background: url("../static/images/btn_reward.png") top center no-repeat;
  width: 130px;
  height: 48px;
  display: block;
  margin: 0 auto;
  cursor: pointer;
  line-height: 48px;
  text-align: center; }
  .btns__reward.received {
    background-position: 0 -48px;
    pointer-events: none; }
  .btns__reward.disable {
    filter: grayscale(100%);
    pointer-events: none; }

.btns__text {
  background: url("../static/images/btn_text.png") top center no-repeat;
  width: 153px;
  height: 45px;
  display: inline-block;
  align-items: center;
  justify-content: center;
  line-height: 15px;
  font-size: 1.1em;
  margin: 1em auto;
  padding: .5em 0 0;
  text-align: center;
  cursor: pointer;
  position: relative; }
  .btns__text:hover, .btns__text:focus {
    background-position: 0 -56px; }
  .btns__text.received {
    filter: grayscale(100%);
    pointer-events: none; }

.btns__up {
  position: absolute;
  top: .7em;
  left: 0;
  right: 0;
  margin-right: auto;
  margin-left: auto;
  cursor: pointer;
  text-align: center; }

.btns__bottom {
  position: absolute;
  bottom: .7em;
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
  cursor: pointer;
  text-align: center; }

.text--lightbrown {
  color: #ffd5b4; }

.modal {
  position: absolute;
  display: flex;
  z-index: 90;
  padding: 0px;
  margin: 0px auto;
  top: 0px;
  left: 0px;
  width: 100%;
  min-height: 100vh;
  height: 100%;
  justify-content: center;
  align-items: center;
  font-size: 40px;
  transition: all 200ms ease-in;
  font-family: 'Kanit-Light'; }
  .modal.close {
    display: none !important; }
  .modal__content {
    z-index: 2;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.8);
    font-size: 28px;
    color: white;
    padding: 0;
    width: 320px;
    height: 191px;
    font-family: 'Kanit';
    border-radius: 20px;
    border: 3px solid #cdcdcd;
    left: 50%;
    margin-left: -160px;
    top: 50%;
    margin-top: -95px; }
    .modal__content--full {
      width: calc(96% - 20px - 20px);
      height: calc(96% - 20px - 20px); }
    .modal__content--height {
      height: auto;
      min-height: 300px; }
    .modal__content--loading {
      height: 150px; }
    .modal__content.loading {
      z-index: 999; }
  .modal__incontent {
    width: 100%;
    text-align: center;
    font-family: 'Kanit-Light';
    line-height: 1.5em;
    margin: 20px auto 0px;
    /* height: fit-content; */ }
    .modal__incontent--loading {
      font-size: 30px;
      margin-top: 70px; }
    .modal__incontent--message {
      font-size: 26px;
      margin-top: 20px; }
    .modal__incontent--confirmrandom {
      font-family: "Kanit-Light";
      font-size: 20px;
      margin-top: 30px; }
    .modal__incontent--selectcharacter {
      font-size: 20px;
      margin-top: 20px; }
    .modal__incontent--confirmredeem {
      font-size: 20px;
      margin-top: 20px; }
    .modal__incontent--reward-text {
      font-family: "Kanit-Bold";
      color: #000;
      font-size: 22px;
      margin-top: 10px;
      padding: 0 15px; }
  .modal__loading {
    display: flex;
    justify-content: center;
    align-items: center; }
  .modal__bottom {
    position: absolute;
    bottom: -1em;
    height: 50px;
    width: 100%;
    text-align: center;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    overflow: hidden; }
  .modal__backdrop {
    z-index: 1;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.8);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0; }
    .modal__backdrop--white {
      background-color: rgba(255, 255, 255, 0.85); }
    .modal__backdrop--selectcharacter {
      width: 96% !important;
      height: 100% !important;
      left: 2% !important;
      border-radius: 30px; }
    .modal__backdrop--grey {
      background: rgba(163, 163, 163, 0.95); }
  .modal__selectcharacter {
    display: block;
    background-color: white;
    border: none;
    margin: 20px auto;
    width: 250px;
    height: 40px;
    line-height: 40px;
    color: #000;
    font-size: 30px;
    text-align: center;
    border-radius: 10px; }
  .modal__selectitemlist {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 10px; }
  .modal__selectitemslot {
    text-align: center; }
  .modal__button {
    cursor: pointer;
    display: inline-block;
    text-align: center;
    font-size: 20px;
    width: 45%;
    height: 50px;
    line-height: 50px;
    margin: 0 .4em;
    border-radius: 30px;
    color: #000;
    background-color: #cfcfcf;
    font-family: 'Kanit-Light'; }
    .modal__button--full {
      width: 100%; }
  .modal__content-inner {
    background: #626262;
    color: #fff;
    text-align: center;
    padding: 1em;
    border-radius: 20px;
    width: 70%;
    margin: 0 auto; }
  .modal__redeemlist {
    padding: 0;
    margin: 0; }
    .modal__redeemlist li {
      display: block;
      text-align: left;
      line-height: 1em; }
      .modal__redeemlist li:before {
        content: "- ";
        display: inline-block;
        vertical-align: middle;
        margin-right: .5em; }

.formselect {
  margin: 0px auto; }
  .formselect label {
    position: relative;
    color: #fff;
    background-color: #626262;
    width: 240px;
    height: 26px;
    line-height: 26px;
    display: block;
    margin: 10px auto;
    padding: 5px;
    border-radius: 10px;
    overflow: hidden; }
    .formselect label:focus {
      outline: 0 none; }
  .formselect select {
    font-size: 20px;
    border: 0px;
    background: transparent;
    vertical-align: middle;
    width: 110%;
    left: 0;
    position: absolute;
    z-index: 1; }
    .formselect select:focus {
      outline: 0 none; }
  .formselect img {
    position: absolute;
    display: block;
    top: 50%;
    width: 24px;
    height: 21px;
    right: 0px;
    transform: translate(-50%, -50%);
    user-select: none; }

@font-face {
  font-family: "DS-MaiThai";
  src: url("../static/fonts/DS-MaiThai.eot");
  src: url("../static/fonts/DS-MaiThai.eot?#iefix") format("embedded-opentype"), url("../static/fonts/DS-MaiThai.woff") format("woff"), url("../static/fonts/DS-MaiThai.ttf") format("truetype"), url("../static/fonts/DS-MaiThai.svg#DS-MaiThai") format("svg"); }

@font-face {
  font-family: "Kanit-Regular";
  src: url("../static/fonts/Kanit-Regular.eot");
  src: url("../static/fonts/Kanit-Regular.eot?#iefix") format("embedded-opentype"), url("../static/fonts/Kanit-Regular.woff") format("woff"), url("../static/fonts/Kanit-Regular.ttf") format("truetype"), url("../static/fonts/Kanit-Regular.svg#Kanit-Regular") format("svg"); }

@font-face {
  font-family: "Kanit-Medium";
  src: url("../static/fonts/Kanit-Medium.eot");
  src: url("../static/fonts/Kanit-Medium.eot?#iefix") format("embedded-opentype"), url("../static/fonts/Kanit-Medium.woff") format("woff"), url("../static/fonts/Kanit-Medium.ttf") format("truetype"), url("../static/fonts/Kanit-Medium.svg#Kanit-Medium") format("svg"); }

body {
  padding: 0;
  margin: 0; }

* {
  user-select: none; }

h1, h2, h3, h4, h5, h6 {
  margin: 0; }

.events-bns {
  width: 1105px;
  height: 700px;
  font-size: 18px;
  position: relative;
  overflow: hidden; }
  .events-bns__bg {
    background: url("../static/images/background.jpg") top center no-repeat;
    width: 100%;
    height: 100%; }
  .events-bns__wrapper {
    width: 80%;
    margin: 0 auto;
    display: block;
    padding: 3em 0; }
  .events-bns__list {
    padding: 0;
    margin: 0; }
    .events-bns__list li {
      display: inline-block;
      margin-bottom: 1em;
      vertical-align: middle;
      width: 20%;
      text-align: center; }
      .events-bns__list li a {
        color: #fff;
        text-align: center;
        text-decoration: none;
        font-family: 'Kanit-Medium';
        display: block;
        font-size: 1em;
        word-break: break-word; }
        .events-bns__list li a img {
          margin: 0 auto;
          display: block;
          text-align: center; }
  .events-bns__bottom {
    display: inline-block;
    vertical-align: middle;
    padding: 2em;
    bottom: 1em;
    position: absolute;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    width: 35%;
    border-radius: 1em;
    background: rgba(255, 255, 255, 0.85); }
  .events-bns__bottom-list {
    padding: 0;
    margin: 0 auto;
    text-align: center; }
    .events-bns__bottom-list li {
      display: inline-block;
      vertical-align: middle;
      text-align: center;
      margin: 0 1em; }
      .events-bns__bottom-list li a {
        display: block; }
        .events-bns__bottom-list li a img {
          margin: 0 auto;
          text-align: center;
          display: block; }

.events-bns-slide__dot {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  right: 0;
  text-align: center; }
  .events-bns-slide__dot .swiper-pagination-bullet {
    background: #fff;
    opacity: 0.55; }
  .events-bns-slide__dot .swiper-pagination-bullet-active {
    background: #fff;
    opacity: 1; }

.events-head {
  position: relative;
  margin-bottom: 2.5em; }
  .events-head__account {
    background: rgba(0, 0, 0, 0.85);
    color: #fff;
    text-align: center;
    position: absolute;
    padding: 1em 1em;
    border-radius: 20px;
    right: 1em;
    top: 1em; }
  .events-head__head {
    position: relative;
    margin-bottom: 2.5em; }
  .events-head__title {
    padding: 80px 0 100px 0PX; }
  .events-head__scroll {
    text-align: center; }
    .events-head__scroll > img {
      animation: mover 1s infinite alternate; }

.scroll-track {
  background: rgba(0, 0, 0, 0.5) !important; }

.scroll-thumb {
  background: rgba(42, 41, 41, 0.8) !important; }
